> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2/objects/resource.md).

# Resource

Resources are websites, articles, or other sources that we think are helpful for understanding the case. This can include in-depth case studies, law review articles discussing the case, or websites that post litigation documents beyond what we save in the Clearinghouse.

Each resource url endpoint returns a list of resources, where each resource is a JSON dictionary.

<details>

<summary>Example: a completely blank resource</summary>

When accessing the \`api/v2/resources/?case=case\_id\` endpoint.

```javascript
{
    file: null,
    title: "",
    author_role: "",
    abstract: "",
    author: "",
    institution: "",
    citation: "",
    external_url: "",
    display_date: "",
    resource_types: [],
    cases: [],
    case_types: [],
    date: "",
    causes: [],
    issues: [],
    special_collections: [],
    attorney_orgs: [],
    source: ""
}
```

</details>

For more information:

| Field                | Type           | Documentation (link)                                                                      |
| -------------------- | -------------- | ----------------------------------------------------------------------------------------- |
| file                 | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#file)           |
| title                | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#title)          |
| author\_role         | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#author_role)    |
| abstract             | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#abstract)       |
| author               | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#author)         |
| institution          | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#institution)    |
| citation             | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#citation)       |
| external\_url        | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#external_url)   |
| display\_date        | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#display_date)   |
| resource\_types      | array\[string] | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#resource_types) |
| cases                | array\[string] | [Related Items](/api-reference-v2/objects/resource/related-items.md#cases)                |
| case\_types          | array\[string] | [Related Items](/api-reference-v2/objects/resource/related-items.md#case_types)           |
| date                 | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#date)           |
| causes               | array\[string] | [Related Items](/api-reference-v2/objects/resource/related-items.md#causes)               |
| issues               | array\[string] | [Related Items](/api-reference-v2/objects/resource/related-items.md#issues)               |
| special\_collections | array\[string] | [Related Items](/api-reference-v2/objects/resource/related-items.md#special_collections)  |
| attorney\_orgs       | array\[string] | [Related Items](/api-reference-v2/objects/resource/related-items.md#attorney_orgs)        |
| source               | string         | [Resource Details](/api-reference-v2/objects/resource/resource-details.md#source)         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2/objects/resource.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
